package applet;

public abstract class File {
    private final short fID;
    private DFile parentDF;
    final byte[] fcp;

    public File(short fID, byte[] fileControlParameters) {
        this.fID = fID;
        this.parentDF = null;
        this.fcp = fileControlParameters;
    }

    public byte getACL(byte operation) {
        // Currently don't check the SIM File ACL.
        return (byte) 0x00;
    }

    public short getFileID() {
        return this.fID;
    }

    public DFile getParentDF() {
        return this.parentDF;
    }

    public void setParentDF(DFile parent) {
        this.parentDF = parent;
    }

    public final byte[] getFCP() {
        return this.fcp;
    }

    abstract void clear();
}